static MapEntry ipMap[] = { 
	{ "icmp", 1 },
	{ "tcp", 6 },
	{ "ipsec", 207 },
	{ "iptest", 100 },
	{ "udp", 17 },
	{ "ipsecspi", 212 },
	{ "chan", 102 },
	{ "blast", 101 },
	{ "vsize", 203 },
	{ "bidctl", 205 },
	{ "bid", 204 },
	{ "dss", 210 },
	{ "dhkx", 208 },
	{ "dheckxspi", 213 },
	{ "rat", 206 },
	{ "dheckx", 211 },
	{ "km", 209 },
	{ "psync", 103 },
	{ 0, 0 }
};

static MapEntry ethMap[] = { 
	{ "arp", 2054 },
	{ "ip", 2048 },
	{ "ethtest", 12288 },
	{ "rarp", 32821 },
	{ "iptest", 12295 },
	{ "blasttest", 12292 },
	{ "chan", 12291 },
	{ "blast", 12289 },
	{ "vsize", 12290 },
	{ "bidctl", 12294 },
	{ "bid", 12293 },
	{ "ppp", 12296 },
	{ 0, 0 }
};

static MapEntry udpMap[] = { 
	{ "pmap", 111 },
	{ "nns", 30755 },
	{ 0, 0 }
};

static MapEntry machripcMap[] = { 
	{ "ssr", 1 },
	{ "nns", 2 },
	{ 0, 0 }
};

static MapEntry ipsecMap[] = { 
	{ "icmp", 1 },
	{ "tcp", 6 },
	{ "udp", 17 },
	{ "rsamd5", 215 },
	{ "rsamd5nonce", 216 },
	{ "rsamd5key", 214 },
	{ "md5key", 212 },
	{ "rsa", 213 },
	{ "crypt", 207 },
	{ "desmd5", 209 },
	{ "desmd5key", 208 },
	{ "desnonce", 210 },
	{ "desmd5nonce", 211 },
	{ 0, 0 }
};

static MapEntry vsecselspiMap[] = { 
	{ "md5", 1 },
	{ "haval", 2 },
	{ "crypt3", 4 },
	{ "tcrypt", 5 },
	{ "crypt", 3 },
	{ "md5crypt", 6 },
	{ 0, 0 }
};

static MapEntry ipsecspiMap[] = { 
	{ "icmp", 1 },
	{ "tcp", 6 },
	{ "udp", 17 },
	{ 0, 0 }
};

static MapEntry fddiMap[] = { 
	{ "arp", 2054 },
	{ "ip", 2048 },
	{ "rarp", 32821 },
	{ "fdditest", 12288 },
	{ "blasttest", 12292 },
	{ "chan", 12291 },
	{ "blast", 12289 },
	{ "vsize", 12290 },
	{ "bidctl", 12294 },
	{ "bid", 12293 },
	{ 0, 0 }
};

static MapEntry saidmgrMap[] = { 
	{ "md5", 1 },
	{ "haval", 2 },
	{ "crypt3", 4 },
	{ "tcrypt", 5 },
	{ "crypt", 3 },
	{ "md5crypt", 6 },
	{ 0, 0 }
};

static Entry	entries[] = {
	{ "tcp", 6, 0 },
	{ "vnet", 17, 0 },
	{ "bidctl", 22, 0 },
	{ "user", 3301, 0 },
	{ "sar", 32, 0 },
	{ "xrpctest", 10014, 0 },
	{ "ip", 2, ipMap },
	{ "lcp", 4003, 0 },
	{ "pmap", 10, 0 },
	{ "join", 35, 0 },
	{ "rsa", 3011, 0 },
	{ "add_cksum", 3215, 0 },
	{ "join_server", 3210, 0 },
	{ "kerb_services", 3211, 0 },
	{ "ipcp", 4004, 0 },
	{ "ssrtest", 10017, 0 },
	{ "sunrpctest", 10009, 0 },
	{ "eth", 1, ethMap },
	{ "serial", 4002, 0 },
	{ "composer", 41, 0 },
	{ "divider", 38, 0 },
	{ "bid", 21, 0 },
	{ "haval", 3104, 0 },
	{ "tkmgr", 3201, 0 },
	{ "join_build_auth", 3207, 0 },
	{ "udp", 5, udpMap },
	{ "rloginc", 3902, 0 },
	{ "null", 16, 0 },
	{ "ns8390", 1005, 0 },
	{ "iptest", 10002, 0 },
	{ "nns", 33, 0 },
	{ "consul_timing", 42, 0 },
	{ "machripc", 27, machripcMap },
	{ "arp", 3, 0 },
	{ "rip", 43, 0 },
	{ "simeth", 1001, 0 },
	{ "icmp", 7, 0 },
	{ "bind", 3004, 0 },
	{ "simfddi", 1006, 0 },
	{ "desmd5", 3021, 0 },
	{ "recvauth", 3213, 0 },
	{ "vsize", 11, 0 },
	{ "rsamd5", 3026, 0 },
	{ "authuser", 3302, 0 },
	{ "rrx", 25, 0 },
	{ "dss", 3501, 0 },
	{ "auth", 3200, 0 },
	{ "srx", 24, 0 },
	{ "irixfddi", 1007, 0 },
	{ "vconf", 3203, 0 },
	{ "recvauth_bottom", 3214, 0 },
	{ "md5", 3101, 0 },
	{ "vsecsel", 3204, 0 },
	{ "ipsec", 3216, ipsecMap },
	{ "vsecselspi", 3218, vsecselspiMap },
	{ "crypt", 3001, 0 },
	{ "ipsecspi", 3217, ipsecspiMap },
	{ "sendauth", 3205, 0 },
	{ "crypt3", 3005, 0 },
	{ "rsamd5key", 3025, 0 },
	{ "desmd5key", 3020, 0 },
	{ "fddi", 36, fddiMap },
	{ "sunrpc", 9, 0 },
	{ "vchan", 15, 0 },
	{ "xklance", 1003, 0 },
	{ "kerb_serv_bottom", 3212, 0 },
	{ "uproxy", 29, 0 },
	{ "desnonce", 3022, 0 },
	{ "sendauth_bottom", 3206, 0 },
	{ "rl", 3900, 0 },
	{ "sartest", 10019, 0 },
	{ "md5crypt", 3150, 0 },
	{ "cookie", 3219, 0 },
	{ "vcache", 23, 0 },
	{ "tcptest", 10006, 0 },
	{ "ppp", 4001, 0 },
	{ "ethdrv", 1002, 0 },
	{ "udpcrypttest", 10018, 0 },
	{ "lproxy", 30, 0 },
	{ "dispatch", 40, 0 },
	{ "chan", 13, 0 },
	{ "ssr", 10016, 0 },
	{ "vmux", 18, 0 },
	{ "psync", 37, 0 },
	{ "km", 3003, 0 },
	{ "proxyrl", 3901, 0 },
	{ "total_order", 39, 0 },
	{ "saidmgr", 3030, saidmgrMap },
	{ "confounder", 3202, 0 },
	{ "simsimeth", 1004, 0 },
	{ "rarp", 4, 0 },
	{ "join_build_ap", 3208, 0 },
	{ "dheckxspi", 3403, 0 },
	{ "ethdrvtest", 10015, 0 },
	{ "mselect", 20, 0 },
	{ "chantest", 10013, 0 },
	{ "irixeth", 1008, 0 },
	{ "blast", 8, 0 },
	{ "join_client", 3209, 0 },
	{ "dheckx", 3402, 0 },
	{ "blasttest", 10008, 0 },
	{ "vtap", 31, 0 },
	{ "xksocket", 2001, 0 },
	{ "fdditest", 10003, 0 },
	{ "select", 14, 0 },
	{ "tcrypt", 3002, 0 },
	{ "ipsec-ah", 3220, 0 },
	{ "udptest", 10005, 0 },
	{ "sha", 3102, 0 },
	{ "desmd5nonce", 3023, 0 },
	{ "lance", 1009, 0 },
	{ "md5key", 3024, 0 },
	{ "rsamd5nonce", 3027, 0 },
	{ "dhkx", 3401, 0 },
	{ "crc", 3103, 0 },
	{ "vaddr", 12, 0 },
	{ "vdrop", 26, 0 },
	{ "portmaint", 28, 0 },
	{ "rat", 34, 0 },
	{ "ethtest", 10001, 0 },
	{ 0, 0, 0 }
};
